#
# spec file for package libogg (Version 1.0rc2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libogg
Summary:      Ogg Bitstream Library
Version:      1.0rc2
Release:      39
Group:	      System Environment/Libraries
Copyright:	BSD
URL:		http://www.xiph.org/
# Source:		%{name}-%{version}.tar.bz2
Source:		%{name}-cvs20010813.tar.bz2
Patch:		configure.dif
BuildRoot:	/tmp/%{name}-%{version}-root

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

Authors:
--------
    Monty <monty@xiph.org>
    Xiphophorus Company <team@xiph.org>

SuSE series: snd

%package devel
Summary:      Development package for libogg
Group: Development/Libraries
Requires: libogg = %{version}

%description devel
This package contains the header files and documentation
needed to develop applications with libogg.

Authors:
--------
    Monty <monty@xiph.org>
    Xiphophorus Company <team@xiph.org>

SuSE series: snd

%prep
# %setup
%setup -n ogg
%patch
%{?suse_update_config:%{suse_update_config -fl}}
libtoolize -f --automake
aclocal
automake -a
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libogg.so.*

%files devel
%doc doc/*.html doc/*.png
%doc doc/ogg
%{_includedir}/ogg
%{_libdir}/libogg.a
%{_libdir}/libogg.so
%{_libdir}/libogg.la
%{_datadir}/aclocal/ogg.m4

%changelog -n libogg
* Mon Aug 13 2001 - tiwai@suse.de
- updated to 1.0rc2 from cvs 20010813.
* Thu Jun 07 2001 - tiwai@suse.de
- fixed build with the recent libtool.
* Mon Mar 12 2001 - tiwai@suse.de
- corrected copyright in spec file.
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to 1.0beta4.
* Wed Jan 31 2001 - tiwai@suse.de
- Initial version: 1.0beta3.
